Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.metaabm.act.provider
Class AActItemProvider

    java.lang.Object
      org.eclipse.emf.common.notify.impl.AdapterImpl
          org.eclipse.emf.edit.provider.ItemProviderAdapter
              org.metaabm.provider.MetaABMItemProvider
                  org.metaabm.provider.IIDItemProvider
                      org.metaabm.act.provider.AActItemProvider

All Implemented Interfaces:
  org.eclipse.emf.common.notify.Adapter, org.eclipse.emf.common.notify.Adapter.Internal, org.eclipse.emf.common.util.ResourceLocator, org.eclipse.emf.edit.command.CreateChildCommand.Helper, org.eclipse.emf.edit.provider.IChangeNotifier, org.eclipse.emf.edit.provider.IDisposable, org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IItemColorProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider

Direct Known Subclasses:
  AAccessorItemProvider, AAllItemProvider, AAnyItemProvider, ABuildProjectionItemProvider, ACommandItemProvider, AGroupItemProvider, ALogicItemProvider, AMethodItemProvider, ANoneItemProvider, ASelectItemProvider, ASinkItemProvider

    public class AActItemProvider

extends IIDItemProvider
implements org.eclipse.emf.edit.provider.IEditingDomainItemProvider, org.eclipse.emf.edit.provider.IStructuredItemContentProvider, org.eclipse.emf.edit.provider.ITreeItemContentProvider, org.eclipse.emf.edit.provider.IItemLabelProvider, org.eclipse.emf.edit.provider.IItemPropertySource, org.eclipse.emf.edit.provider.ITableItemLabelProvider, org.eclipse.emf.edit.provider.ITableItemColorProvider, org.eclipse.emf.edit.provider.IItemColorProvider

This is the item provider adapter for a `AAct` object.

Nested Class Summary

Nested classes/interfaces inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`org.eclipse.emf.edit.provider.ItemProviderAdapter.ChildrenStore, org.eclipse.emf.edit.provider.ItemProviderAdapter.ModifiableSingletonEList<E>, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommand, org.eclipse.emf.edit.provider.ItemProviderAdapter.ResultAndAffectedObjectsWrappingCommandActionDelegate`

Nested classes/interfaces inherited from interface org.eclipse.emf.common.notify.Adapter
`org.eclipse.emf.common.notify.Adapter.Internal`

Field Summary

Fields inherited from class org.metaabm.provider.MetaABMItemProvider
`displayAttributeReferences`

Fields inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`adapterFactory, changeNotifier, childrenFeatures, childrenReferences, childrenStoreMap, itemPropertyDescriptors, targets, wrappers, wrappingNeeded`

Fields inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`target`

Fields inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`GRAYED_OUT_COLOR`

Constructor Summary
`AActItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)` This constructs an instance from a factory and a notifier.

Method Summary
`protected void` | `addAllSourcesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the All Sources feature.
`protected void` | `addAllTargetsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the All Targets feature.
`protected void` | `addGroupPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Group feature.
`protected void` | `addReferencePropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Reference feature.
`protected void` | `addRootSelectedPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Root Selected feature.
`protected void` | `addSelectedPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Selected feature.
`protected void` | `addSourcesPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Sources feature.
`void` | `addTargets(org.eclipse.emf.common.util.EList<AAct> sources, org.eclipse.emf.common.util.EList<AAct> result)`
`protected void` | `addTargetsPropertyDescriptor(java.lang.Object object)` This adds a property descriptor for the Targets feature.
`protected void` | `collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors, java.lang.Object object)` This adds to the collection of `CommandParameter`s describing all of the children that can be created under this object.
`static org.eclipse.emf.common.command.CompoundCommand` | `createActDragCommand(org.eclipse.emf.edit.domain.EditingDomain domain, int eventID, AAct sourceAct, AAct targetAct)`
`protected org.eclipse.emf.common.command.Command` | `createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection, int index)`
`protected org.eclipse.emf.common.command.Command` | `createDragAndDropCommand(org.eclipse.emf.edit.domain.EditingDomain domain, java.lang.Object owner, float location, int operations, int operation, java.util.Collection<?> collection)`
`protected org.eclipse.emf.common.command.Command` | `createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.util.Collection<?> collection)`
`protected org.eclipse.emf.common.command.Command` | `createSetCommand(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`
`protected java.lang.Object` | `createWrapper(org.eclipse.emf.ecore.EObject owner, org.eclipse.emf.ecore.EStructuralFeature feature, java.lang.Object value, int index)`
`protected org.eclipse.emf.ecore.EStructuralFeature` | `getChildFeature(java.lang.Object object, java.lang.Object child)`
`java.util.Collection<?>` | `getChildren(java.lang.Object object)`
`java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature>` | `getChildrenFeatures(java.lang.Object object)` This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`.
`java.lang.String` | `getColumnText(java.lang.Object object, int columnIndex)`
`java.lang.Object` | `getImage(java.lang.Object object)` This returns AAct.gif.
`java.lang.Object` | `getParent(java.lang.Object object)`
`java.util.List<AAct>` | `getParents(java.lang.Object object)`
`java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor>` | `getPropertyDescriptors(java.lang.Object object)` This returns the property descriptors for the adapted class.
`org.eclipse.emf.common.util.ResourceLocator` | `getResourceLocator()` Return the resource locator for this item provider's resources.
`protected static java.util.Collection<ASelect>` | `getSourceSelects(AAct source)`
`java.lang.String` | `getText(java.lang.Object object)` This returns the label text for the adapted class.
`boolean` | `hasChildren(java.lang.Object object)`
`protected boolean` | `isWrappingNeeded(java.lang.Object object)`
`void` | `notifyChanged(org.eclipse.emf.common.notify.Notification notification)` This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.
`protected static void` | `reassignSelects(org.eclipse.emf.edit.domain.EditingDomain domain, org.eclipse.emf.common.command.CompoundCommand cmd, AAct newSource, AAct value)`
`java.lang.String` | `suggestID(IID object)`
`protected java.lang.String` | `suggestSeperatedSourceLabel(java.lang.Object object, java.lang.String seperator)`

Methods inherited from class org.metaabm.provider.IIDItemProvider
`addIDPropertyDescriptor, addLabelPropertyDescriptor`

Methods inherited from class org.metaabm.provider.MetaABMItemProvider
`getColumnImage, getCreateChildImage, ids, idsCaps, inputVals, isDisplayAttributeReferences, labels, providerFor, setDisplayAttributeReferences, suggestLabel, texts`

Methods inherited from class org.eclipse.emf.edit.provider.ItemProviderAdapter
`addListener, adjustWrapperIndex, adjustWrapperIndices, adjustWrapperIndices, createAddCommand, createChildParameter, createChildrenStore, createCommand, createCopyCommand, createCreateChildCommand, createCreateChildCommand, createCreateCopyCommand, createInitializeCopyCommand, createItemPropertyDescriptor, createItemPropertyDescriptor, createMoveCommand, createMoveCommand, createRemoveCommand, createReplaceCommand, createReplaceCommand, createSetCommand, crop, dispose, disposeWrapper, disposeWrappers, factorAddCommand, factorMoveCommand, factorRemoveCommand, fireNotifyChanged, getAdapterFactory, getBackground, getBackground, getBaseURL, getChildReference, getChildrenReferences, getChildrenStore, getCreateChildDescription, getCreateChildResult, getCreateChildText, getCreateChildToolTipText, getEditableValue, getElements, getFeatureText, getFeatureValue, getFont, getFont, getForeground, getForeground, getImage, getNewChildDescriptors, getPropertyDescriptor, getPropertyValue, getReferenceValue, getResourceLocator, getRootAdapterFactory, getSetFeature, getSetFeatures, getString, getString, getString, getString, getString, getString, getString, getString, getTypeText, getTypeText, getUpdateableText, getWrappedValues, hasChildren, isAdapterForType, isEquivalentValue, isPropertySet, isValidValue, overlayImage, removeListener, resetPropertyValue, setPropertyValue, setTarget, shouldComposeCreationImage, shouldTranslate, unsetTarget, unwrap, unwrapCommandValues, updateChildren, wrap, wrapCommand`

Methods inherited from class org.eclipse.emf.common.notify.impl.AdapterImpl
`getTarget`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.emf.edit.provider.IEditingDomainItemProvider
`createCommand, getNewChildDescriptors`

Methods inherited from interface org.eclipse.emf.edit.provider.IStructuredItemContentProvider
`getElements`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemPropertySource
`getEditableValue, getPropertyDescriptor`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemLabelProvider
`getColumnImage`

Methods inherited from interface org.eclipse.emf.edit.provider.ITableItemColorProvider
`getBackground, getForeground`

Methods inherited from interface org.eclipse.emf.edit.provider.IItemColorProvider
`getBackground, getForeground`

Constructor Detail

### AActItemProvider

    public AActItemProvider(org.eclipse.emf.common.notify.AdapterFactory adapterFactory)

  This constructs an instance from a factory and a notifier.

Method Detail

### getPropertyDescriptors

    public java.util.List<org.eclipse.emf.edit.provider.IItemPropertyDescriptor> getPropertyDescriptors(java.lang.Object object)

  This returns the property descriptors for the adapted class.

  Specified by:
    `getPropertyDescriptors` in interface `org.eclipse.emf.edit.provider.IItemPropertySource`
  Overrides:
    `getPropertyDescriptors` in class `IIDItemProvider`

### addSourcesPropertyDescriptor

    protected void addSourcesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Sources feature.

### addTargetsPropertyDescriptor

    protected void addTargetsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Targets feature.

### addReferencePropertyDescriptor

    protected void addReferencePropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Reference feature.

### addGroupPropertyDescriptor

    protected void addGroupPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Group feature.

### addSelectedPropertyDescriptor

    protected void addSelectedPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Selected feature.

### addAllSourcesPropertyDescriptor

    protected void addAllSourcesPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the All Sources feature.

### addAllTargetsPropertyDescriptor

    protected void addAllTargetsPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the All Targets feature.

### addRootSelectedPropertyDescriptor

    protected void addRootSelectedPropertyDescriptor(java.lang.Object object)

  This adds a property descriptor for the Root Selected feature.

### addTargets

    public void addTargets(org.eclipse.emf.common.util.EList<AAct> sources,
                           org.eclipse.emf.common.util.EList<AAct> result)

### getChildren

    public java.util.Collection<?> getChildren(java.lang.Object object)

  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getChildren` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildrenFeatures

    public java.util.Collection<? extends org.eclipse.emf.ecore.EStructuralFeature> getChildrenFeatures(java.lang.Object object)

  This specifies how to implement `getChildren(java.lang.Object)` and is used to deduce an appropriate feature for an `AddCommand`, `RemoveCommand` or `MoveCommand` in `ItemProviderAdapter.createCommand(java.lang.Object, org.eclipse.emf.edit.domain.EditingDomain, java.lang.Class, org.eclipse.emf.edit.command.CommandParameter)`.

  Overrides:
    `getChildrenFeatures` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createActDragCommand

    public static org.eclipse.emf.common.command.CompoundCommand createActDragCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                                      int eventID,
                                                                                      AAct sourceAct,
                                                                                      AAct targetAct)

### createDragAndDropCommand

    protected org.eclipse.emf.common.command.Command createDragAndDropCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                              java.lang.Object owner,
                                                                              float location,
                                                                              int operations,
                                                                              int operation,
                                                                              java.util.Collection<?> collection)

  Overrides:
    `createDragAndDropCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createAddCommand

    protected org.eclipse.emf.common.command.Command createAddCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                      org.eclipse.emf.ecore.EObject owner,
                                                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                      java.util.Collection<?> collection,
                                                                      int index)

  Overrides:
    `createAddCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createSetCommand

    protected org.eclipse.emf.common.command.Command createSetCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                      org.eclipse.emf.ecore.EObject owner,
                                                                      org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                      java.lang.Object value,
                                                                      int index)

  Overrides:
    `createSetCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### createRemoveCommand

    protected org.eclipse.emf.common.command.Command createRemoveCommand(org.eclipse.emf.edit.domain.EditingDomain domain,
                                                                         org.eclipse.emf.ecore.EObject owner,
                                                                         org.eclipse.emf.ecore.EStructuralFeature feature,
                                                                         java.util.Collection<?> collection)

  Overrides:
    `createRemoveCommand` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getChildFeature

    protected org.eclipse.emf.ecore.EStructuralFeature getChildFeature(java.lang.Object object,
                                                                       java.lang.Object child)

  Overrides:
    `getChildFeature` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getImage

    public java.lang.Object getImage(java.lang.Object object)

  This returns AAct.gif.

  Specified by:
    `getImage` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getImage` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getText

    public java.lang.String getText(java.lang.Object object)

  This returns the label text for the adapted class.

  Specified by:
    `getText` in interface `org.eclipse.emf.edit.provider.IItemLabelProvider`
  Overrides:
    `getText` in class `IIDItemProvider`

### notifyChanged

    public void notifyChanged(org.eclipse.emf.common.notify.Notification notification)

  This handles model notifications by calling `ItemProviderAdapter.updateChildren(org.eclipse.emf.common.notify.Notification)` to update any cached children and by creating a viewer notification, which it passes to `ItemProviderAdapter.fireNotifyChanged(org.eclipse.emf.common.notify.Notification)`.

  Specified by:
    `notifyChanged` in interface `org.eclipse.emf.common.notify.Adapter`
  Overrides:
    `notifyChanged` in class `IIDItemProvider`

### collectNewChildDescriptors

    protected void collectNewChildDescriptors(java.util.Collection<java.lang.Object> newChildDescriptors,
                                              java.lang.Object object)

  This adds to the collection of `CommandParameter`s describing all of the children that can be created under this object.

  Overrides:
    `collectNewChildDescriptors` in class `IIDItemProvider`

### createWrapper

    protected java.lang.Object createWrapper(org.eclipse.emf.ecore.EObject owner,
                                             org.eclipse.emf.ecore.EStructuralFeature feature,
                                             java.lang.Object value,
                                             int index)

  Overrides:
    `createWrapper` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### isWrappingNeeded

    protected boolean isWrappingNeeded(java.lang.Object object)

  Overrides:
    `isWrappingNeeded` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### hasChildren

    public boolean hasChildren(java.lang.Object object)

  Description copied from class: `IIDItemProvider`

  Specified by:
    `hasChildren` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `hasChildren` in class `IIDItemProvider`

### getSourceSelects

    protected static java.util.Collection<ASelect> getSourceSelects(AAct source)

### reassignSelects

    protected static void reassignSelects(org.eclipse.emf.edit.domain.EditingDomain domain,
                                          org.eclipse.emf.common.command.CompoundCommand cmd,
                                          AAct newSource,
                                          AAct value)

### suggestSeperatedSourceLabel

    protected java.lang.String suggestSeperatedSourceLabel(java.lang.Object object,
                                                           java.lang.String seperator)

### getColumnText

    public java.lang.String getColumnText(java.lang.Object object,
                                          int columnIndex)

  Specified by:
    `getColumnText` in interface `org.eclipse.emf.edit.provider.ITableItemLabelProvider`
  Overrides:
    `getColumnText` in class `MetaABMItemProvider`

### getParent

    public java.lang.Object getParent(java.lang.Object object)

  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.IEditingDomainItemProvider`
  Specified by:
    `getParent` in interface `org.eclipse.emf.edit.provider.ITreeItemContentProvider`
  Overrides:
    `getParent` in class `org.eclipse.emf.edit.provider.ItemProviderAdapter`

### getResourceLocator

    public org.eclipse.emf.common.util.ResourceLocator getResourceLocator()

  Return the resource locator for this item provider's resources.

  Overrides:
    `getResourceLocator` in class `IIDItemProvider`

### getParents

    public java.util.List<AAct> getParents(java.lang.Object object)

### suggestID

    public java.lang.String suggestID(IID object)

  Overrides:
    `suggestID` in class `MetaABMItemProvider`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD